Name: ZHotfix_2002-06-14
Version: 1.0.0
Release: alt3
Packager: Andrey Orlov <cray@altlinux.ru>
Summary: Zope Hotfix 2002-06-14
Source0: %name-%version.tar.gz
License: ZPL
Group: System/Servers/ZProducts
BuildArchitectures: noarch
Requires: Zope-core < 2.6.0
Url: http://www.zope.org
BuildRequires: libAltDist, Zope-core < 2.6.0, python-devel

%description
  This is a "hotfix" product. Hotfix products can be installed to
  incorporate modifications to Zope at runtime without requiring an
  immediate installation upgrade. Hotfix products are installed
  just as you would install any other Zope product.

  This hotfix addresses an important security issue that affects
  users of Zope versions 2.4.0 through 2.5.x (or other Zope versions
  with ZCatalog's plug-in index support installed)

  The issue involves the security of the indexes of ZCatalog
  objects. A flaw in the security settings of ZCatalog allows
  anonymous users to call arbitrary methods of catalog indexes. The
  vulnerability also allows untrusted code to do the same.

  We highly recommend that any Zope site running Zope 2.4.0 through
  Zope 2.5.x have this hotfix product installed to mitigate the
  issue. Zope 2.6 will contain a fix for the issue, at which time
  the hotfix can be removed.

%prep
%setup

%build
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%files -f INSTALLED_FILES
%changelog
* Thu Feb 06 2003 Alexander V. Nikolaev <avn@altlinux.ru> 1.0.0-alt3
- Non-maintainer upload
- fix build depends
- add Packager field

* Wed Oct 30 2002 Andrey Orlov <cray@neural.ru> 1.0.0-alt2
- Rebuild for new ALM

* Thu Jun 20 2002 Andrey Orlov <cray@neural.ru> 1.0.0-alt1
- This is initial version
